summaryrefslogtreecommitdiffstats
path: root/development/squirrel-sql
diff options
context:
space:
mode:
Diffstat (limited to 'development/squirrel-sql')
-rw-r--r--development/squirrel-sql/README3
-rw-r--r--development/squirrel-sql/doinst.sh3
-rw-r--r--development/squirrel-sql/slack-desc19
-rw-r--r--development/squirrel-sql/squirrel-sql.SlackBuild57
-rw-r--r--development/squirrel-sql/squirrel-sql.desktop12
-rw-r--r--development/squirrel-sql/squirrel-sql.info10
-rw-r--r--development/squirrel-sql/squirrel-sql.pngbin0 -> 1920 bytes
7 files changed, 104 insertions, 0 deletions
diff --git a/development/squirrel-sql/README b/development/squirrel-sql/README
new file mode 100644
index 0000000000..1aecea634c
--- /dev/null
+++ b/development/squirrel-sql/README
@@ -0,0 +1,3 @@
+SQuirreL SQL Client is a graphical Java program that will
+allow you to view the structure of a JDBC compliant database,
+browse the data in tables and issue SQL commands.
diff --git a/development/squirrel-sql/doinst.sh b/development/squirrel-sql/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/squirrel-sql/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/squirrel-sql/slack-desc b/development/squirrel-sql/slack-desc
new file mode 100644
index 0000000000..06daecb3cd
--- /dev/null
+++ b/development/squirrel-sql/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+squirrel-sql: SQuirreL SQL Client (universal database client)
+squirrel-sql:
+squirrel-sql: SQuirreL SQL Client is a graphical Java program that will
+squirrel-sql: allow you to view the structure of a JDBC compliant database,
+squirrel-sql: browse the data in tables and issue SQL commands.
+squirrel-sql:
+squirrel-sql:
+squirrel-sql:
+squirrel-sql:
+squirrel-sql:
+squirrel-sql:
diff --git a/development/squirrel-sql/squirrel-sql.SlackBuild b/development/squirrel-sql/squirrel-sql.SlackBuild
new file mode 100644
index 0000000000..b6e9965b62
--- /dev/null
+++ b/development/squirrel-sql/squirrel-sql.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for squirrel-sql
+
+# Written by Dario Nicodemi dario.sbo@gmail.com
+
+PRGNAM=squirrel-sql
+VERSION=${VERSION:-3.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-optional.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -r . $PKG/opt/$PRGNAM
+rm -rf $PKG/opt/$PRGNAM/{Uninstaller,update,addpath.bat}
+mkdir -p $PKG/usr/bin
+cat <<EOF > $PKG/usr/bin/squirrel-sql
+#!/bin/sh
+(cd /opt/$PRGNAM && /bin/sh ./squirrel-sql.sh)
+EOF
+chmod 0755 $PKG/usr/bin/squirrel-sql
+
+# Install desktop file and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/squirrel-sql/squirrel-sql.desktop b/development/squirrel-sql/squirrel-sql.desktop
new file mode 100644
index 0000000000..ddeff9736b
--- /dev/null
+++ b/development/squirrel-sql/squirrel-sql.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Version=1.0
+Exec=squirrel-sql
+TryExec=squirrel-sql
+Icon=squirrel-sql
+Terminal=false
+Name=SQuirreL
+GenericName=SQL Client
+Comment=SQL Client
+Categories=Application;Development;
+Type=Application
+StartupNotify=false
diff --git a/development/squirrel-sql/squirrel-sql.info b/development/squirrel-sql/squirrel-sql.info
new file mode 100644
index 0000000000..3024b52558
--- /dev/null
+++ b/development/squirrel-sql/squirrel-sql.info
@@ -0,0 +1,10 @@
+PRGNAM="squirrel-sql"
+VERSION="3.1"
+HOMEPAGE="http://squirrel-sql.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/squirrel-sql/squirrel-sql-3.1-optional.tar.gz"
+MD5SUM="4957ae80a7887942bbc085c41bfdfb50"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dario Nicodemi"
+EMAIL="dario.sbo@gmail.com"
+APPROVED="rworkman"
diff --git a/development/squirrel-sql/squirrel-sql.png b/development/squirrel-sql/squirrel-sql.png
new file mode 100644
index 0000000000..cb86b95da6
--- /dev/null
+++ b/development/squirrel-sql/squirrel-sql.png
Binary files differ